---
gitlab: wmeehan
name: Will Meehan
job_title: Commercial Account Executive - Mid-Market
departments:
- APAC - Commercial
division: Sales
reports_to: atan7
picture: "../gitlab-logo-extra-whitespace.png"
role: "<a href=''>Account Executive - Mid Market</a>"
twitter:
linkedin:
story:
expertise:
pronouns:
pronunciation:
public: true

